> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team detection statistics



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/team/statistics/detections
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/statistics/detections:
    post:
      tags:
        - Team
      summary: Get team detection statistics
      operationId: TeamController_getDetectionStatistics
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamStatisticsDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamDetectionStatistics'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    TeamStatisticsDto:
      type: object
      properties:
        startDate:
          type: string
          description: Start date (inclusive, ISO8601 string)
        endDate:
          type: string
          description: End date (inclusive, ISO8601 string)
        days:
          type: number
          description: >-
            Number of days for time-based filtering (1-365). Required by most
            endpoints unless startDate/endDate provided.
    TeamDetectionStatistics:
      type: object
      properties:
        totalDetections:
          type: number
          description: Total number of detections
        historicDetections:
          type: number
          description: Number of historic detections
        escalatedDetections:
          type: number
          description: Number of detections that were escalated
        containmentDetections:
          type: number
          description: Number of detections that resulted in containment
        chatOpsDetections:
          type: number
          description: Number of detections handled via chat operations
        automaticallyClosed:
          type: number
          description: Number of detections automatically closed
        potentialChatOpsDetections:
          type: number
          description: Number of detections that could potentially use chat operations
        potentialContainmentDetections:
          type: number
          description: Number of detections that could potentially be contained
        potentialEscalatedDetections:
          type: number
          description: Number of detections that could potentially be escalated
        verdictedMalicious:
          type: number
          description: Number of detections with malicious verdict
        confirmedMalicious:
          type: number
          description: Number of detections confirmed as malicious
        truePositiveDetections:
          type: number
          description: Number of true positive detections
        falsePositiveDetections:
          type: number
          description: Number of false positive detections
      required:
        - totalDetections
        - historicDetections
        - escalatedDetections
        - containmentDetections
        - chatOpsDetections
        - automaticallyClosed
        - potentialChatOpsDetections
        - potentialContainmentDetections
        - potentialEscalatedDetections
        - verdictedMalicious
        - confirmedMalicious
        - truePositiveDetections
        - falsePositiveDetections
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````